## edu.cwru.SimpleRTS.model.unit
Enum UnitTask

    java.lang.Object
      java.lang.Enum<UnitTask>
          edu.cwru.SimpleRTS.model.unit.UnitTask

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UnitTask>

    public enum UnitTask

extends java.lang.Enum<UnitTask>

Enum Constant Summary
`Attack`
`Build`
`Gold`
`Idle`
`Move`
`Wood`

Method Summary
`static UnitTask` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UnitTask[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Wood

    public static final UnitTask Wood

### Gold

    public static final UnitTask Gold

### Idle

    public static final UnitTask Idle

### Build

    public static final UnitTask Build

### Move

    public static final UnitTask Move

### Attack

    public static final UnitTask Attack

Method Detail

### values

    public static UnitTask[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UnitTask c : UnitTask.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UnitTask valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null